commit:     8901773bdbd36ccf9157642a98e5f39fd0245e54
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 27 00:19:18 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Fri Dec 27 00:25:53 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8901773b

Revert "games-server/ut2004-ded: drop vulnerable package"

This reverts commit 5e1e96c14effb4f076191f9d8023547cb7e15ff4.

This package was dropped because of CVE-2008-6441 and
CVE-2008-7011. However, UT2004 was reported to *not* be vulnerable to
the former and the latter was almost certainly fixed in 3369.3. I
cannot find any release notes but the published workaround related to
3369.2 and 3369.3 was built just three days after the vulnerability
was announced.

Bug: https://bugs.gentoo.org/285010
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-server/ut2004-ded/Manifest                   |  3 +
 games-server/ut2004-ded/files/ut2004-ded.confd     |  6 ++
 games-server/ut2004-ded/files/ut2004-ded.initd     | 13 ++++
 games-server/ut2004-ded/metadata.xml               | 11 +++
 .../ut2004-ded/ut2004-ded-3369.3-r2.ebuild         | 88 ++++++++++++++++++++++
 5 files changed, 121 insertions(+)

diff --git a/games-server/ut2004-ded/Manifest b/games-server/ut2004-ded/Manifest
new file mode 100644
index 00000000000..7be18ac0efa
--- /dev/null
+++ b/games-server/ut2004-ded/Manifest
@@ -0,0 +1,3 @@
+DIST dedicatedserver3339-bonuspack.zip 914213907 BLAKE2B 
883253d9817b4ee7f9594bf611e9d440d7e90c8cd43d34b366cfb4e781d4ad78e2812a0aa4f5acaed4880b1bc47f0dffed6fbb0caf9cc53477c01bc92d891325
 SHA512 
353161a7c811ac5c688c6438e3ecfad1aa37bcfd13a3e17f2a9deaf510eda9311a423524bd4635fcf972001cfe24c1a1b71a2bb6a060c37a24351f3bce0c7f26
+DIST ut2004-lnxpatch3369-2.tar.bz2 22465217 BLAKE2B 
9852f9d55804b7f2927a31be86aee1552aaebeb38d2a40fb206154c236e9d6eff47f7594024c0d9b25c7216d3ca62571b1f89f23f72ee9e135b2e6451bcb006a
 SHA512 
0d6f26d5a811efd64be8c304e928e03f546d9a8eaba6b074843e2b7e76e0670b39df95200a2fe2040d72bbd204c7157ed0115649a5c85396a76d9e0b7ec284b1
+DIST ut2004-v3369-3-linux-dedicated.7z 5013927 BLAKE2B 
72d24d7bc37c777f3697b767a03e052ad9b547005dd6da73833e439496e87a9c1ebbe01f88d62b29a41b2bf6380a3b3bd745e6883fbb6d0f2b7e52998d4af276
 SHA512 
3b2a7b64934a3647c02c9fec48565c5c2c35370d635b2af4059eb76587bfa13f46e6a4e14fdb0494ba7a4182497ed5963601986f4fcfa318e69a8a8a8c0178cf

diff --git a/games-server/ut2004-ded/files/ut2004-ded.confd 
b/games-server/ut2004-ded/files/ut2004-ded.confd
new file mode 100644
index 00000000000..e82238b93de
--- /dev/null
+++ b/games-server/ut2004-ded/files/ut2004-ded.confd
@@ -0,0 +1,6 @@
+# User and group the server should run as.
+ut2004_ded_user="nobody"
+ut2004_ded_group="nobody"
+
+# Any extra options you want to pass to the server.
+ut2004_ded_opts="DM-Deck17"

diff --git a/games-server/ut2004-ded/files/ut2004-ded.initd 
b/games-server/ut2004-ded/files/ut2004-ded.initd
new file mode 100644
index 00000000000..c4cf9810cd1
--- /dev/null
+++ b/games-server/ut2004-ded/files/ut2004-ded.initd
@@ -0,0 +1,13 @@
+#!/sbin/openrc-run
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+pidfile="/var/run/${RC_SVCNAME}.pid"
+command_background="true"
+command_user="${ut2004_ded_user}:${ut2004_ded_group}"
+command="ut2004-ded"
+command_args="${ut2004_ded_opts}"
+
+depend() {
+       need net
+}

diff --git a/games-server/ut2004-ded/metadata.xml 
b/games-server/ut2004-ded/metadata.xml
new file mode 100644
index 00000000000..6c721750729
--- /dev/null
+++ b/games-server/ut2004-ded/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<maintainer type="project">
+       <email>[email protected]</email>
+       <name>Gentoo Games Project</name>
+</maintainer>
+<longdescription>
+Unreal Tounament 2004 is a first-person 3-D shooter and sequel to the 2003 
Game of the Year, Unreal Tournament 2003.  The game was ported to Linux by Ryan 
"icculus" Gordon under contract from Epic Games and the Linux installer was 
released in the retail box.  This is the dedicated server portion of the game 
and does not require the retail discs to use.
+</longdescription>
+</pkgmetadata>

diff --git a/games-server/ut2004-ded/ut2004-ded-3369.3-r2.ebuild 
b/games-server/ut2004-ded/ut2004-ded-3369.3-r2.ebuild
new file mode 100644
index 00000000000..63f7dcb5240
--- /dev/null
+++ b/games-server/ut2004-ded/ut2004-ded-3369.3-r2.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit check-reqs eutils
+
+BONUSPACK_P="dedicatedserver3339-bonuspack.zip"
+PATCH_P="ut2004-lnxpatch${PV%.*}-2.tar.bz2"
+DESCRIPTION="Unreal Tournament 2004 Linux Dedicated Server"
+HOMEPAGE="https://liandri.beyondunreal.com/Unreal_Tournament_2004";
+SRC_URI="
+       https://ut2004.ut-files.com/Entire_Server_Download/${BONUSPACK_P}
+       https://ut2004.ut-files.com/Patches/Linux/${PATCH_P}
+       
https://dev.gentoo.org/~chewi/distfiles/ut2004-v${PV/./-}-linux-dedicated.7z
+"
+
+LICENSE="ut2003"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+RESTRICT="bindist mirror strip"
+
+BDEPEND="
+       app-arch/p7zip
+       app-arch/unzip
+"
+
+RDEPEND="
+       !games-fps/ut2004
+       !games-fps/ut2004-data
+       games-fps/ut2004-bonuspack-ece
+       games-fps/ut2004-bonuspack-mega
+       sys-libs/glibc
+"
+
+CHECKREQS_DISK_BUILD="2G"
+QA_PREBUILT="*"
+
+S="${WORKDIR}"
+DIR="/opt/${PN%-ded}"
+
+src_prepare() {
+       default
+
+       if use amd64; then
+               mv ut2004-ucc-bin-09192008/ucc-bin{-linux-amd64,} || die
+       fi
+
+       cp -r UT2004-Patch/* ./ || die
+       mv ut2004-ucc-bin-09192008/ucc-bin System/ || die
+       rm -r System/{ut2004-bin*,*.dll,*.exe} UT2004-Patch/ 
ut2004-ucc-bin-09192008/ || die
+
+       # In ut2004-bonuspack-ece.
+       rm \
+               
Animations/{MechaSkaarjAnims,MetalGuardAnim,NecrisAnim,ONSBPAnimations}.ukx \
+               Help/BonusPackReadme.txt \
+               Maps/ONS-{Adara,Aridoom,Ascendancy,IslandHop,Tricky,Urban}.ut2 \
+               Sounds/{CicadaSnds,DistantBooms,ONSBPSounds}.uax \
+               
StaticMeshes/{BenMesh02,BenTropicalSM01,HourAdara,ONS-BPJW1,PC_UrbanStatic}.usx 
\
+               System/{ONS-{Adara,IslandHop,Tricky,Urban},OnslaughtBP}.int \
+               System/xaplayersl3.upl \
+               
Textures/{AW-2k4XP,BenTex02,BenTropical01,BonusParticles,CicadaTex,Construction_S,HourAdaraTexor,ONSBP{_DestroyedVehicles,Textures},PC_UrbanTex,UT2004ECEPlayerSkins}.utx
 \
+               || die
+
+       # In ut2004-bonuspack-mega.
+       rm System/{Manifest.in[it],Packages.md5} || die
+}
+
+src_install() {
+       insinto "${DIR}"
+       doins -r *
+       fperms +x "${DIR}"/System/ucc-bin
+
+       make_wrapper ${PN} "./ucc-bin server" "${DIR}"/System
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}
+       newinitd "${FILESDIR}"/${PN}.initd ${PN}
+}
+
+pkg_postinst() {
+       elog "You should take the time to edit the default server INI. Consult 
the INI"
+       elog "Reference at https://unrealadmin.org/server_ini_reference/ut2004 
for"
+       elog "assistance in adjusting ${DIR}/System/Default.ini."
+       elog
+       elog "To have your server authenticate properly to the central server, 
you"
+       elog "MUST visit https://www.unrealadmin.org/server_cdkey and request a 
key."
+       elog "This is not required if you want an unlisted private server with"
+       elog "[DoUplink=False]."
+}

Reply via email to